io.vertx.rxjava3.json.schema

## Class Ref

- java.lang.Object
- - io.vertx.rxjava3.json.schema.Ref

-     public class Ref
      extends Object

  JsonObject `$ref` resolver. This interface is used to resolve `$ref` in a . The result is a new with all the `$ref` replaced by actual object references. This new object allows navigation and queries using `JsonPointer` but will not be able to be encoded back to JSON when circular dependencies are present. The resolver will only resolve local references as defined in RFC3986. A local reference is a reference that starts with `#` and is followed by a valid JSON Pointer.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Ref>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ref(Object delegate)`
    `Ref(Ref delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Ref` | `getDelegate()`
    `int` | `hashCode()`
    `static Ref` | `newInstance(Ref arg)`
    `static JsonObject` | `resolve(JsonObject json)` Resolve all `$ref` in the given .
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Ref> __TYPE_ARG

  - ### Constructor Detail

    - #### Ref

          public Ref(Ref delegate)

    - #### Ref

          public Ref(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Ref getDelegate()

    - #### resolve

          public static JsonObject resolve(JsonObject json)

      Resolve all `$ref` in the given . The resolution algorithm is not aware of other specifications. When resolving OpenAPI documents (which only allow `$ref` at specific locations) you should validate if the document is valid before performing a resolution. It is important to note that any sibling elements of a `$ref` is ignored. This is because `$ref` works by replacing itself and everything on its level with the definition it is pointing at.
      Parameters:
        `json` - the JSON object to resolve.
      Returns:
        a new JSON object with all the `$ref` replaced by actual object references.

    - #### newInstance

          public static Ref newInstance(Ref arg)

Copyright © 2023 Eclipse. All rights reserved.